请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
搜索
热搜: nxopen ufun
查看: 510|回复: 0

[技术分享] 利用Python在NX中创建立方体的方法-唐康林原创

[复制链接]

527

主题

691

帖子

2895

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2895
发表于 2018-2-4 22:21:06 | 显示全部楼层 |阅读模式
利用Python二次开发,调用UFUN下面的函数,创建一个块。
源代码如下:
  1. # NX 10.0.3.5
  2. # by TangKangLin QQ:125317589 2018.02.04

  3. import NXOpen
  4. import NXOpen.UF
  5. def main():

  6.         theSession = NXOpen.Session.GetSession()
  7.         theUfSession = NXOpen.UF.UFSession.GetUFSession()
  8.         cornerPt = [0.0, 0.0, 0.0]
  9.         edgeLen = ["100.0", "50.0", "25.0"]
  10.         featTag = theUfSession.ModlFeatures.CreateBlock1(NXOpen.UF.Modl.FeatureSigns.NULLSIGN, cornerPt, edgeLen)
  11.         
  12.         #打印创建块特征Tag
  13.         theSession.ListingWindow.Open()
  14.         theSession.ListingWindow.WriteLine(str(featTag))

  15. if __name__ == '__main__':
  16.     main()
复制代码


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-5-22 15:51 , Processed in 0.096983 second(s), 25 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表